package io

interface IoHandler {
    fun prompt(
        message: String,
        hint: () -> String = { "Please enter a valid input." },
        check: (String) -> Boolean = { true }
    ): String

    fun say(message: String)
}